#!/bin/bash

KODIRUNNING=`ps ax | grep kodi.bin | wc -l` # 2: kodi is running
LASTRUNFILE="/storage/.kodi/temp/powerPlayLast"
LOGFILE="/storage/.kodi/temp/powerPlay.log"

turnon () {
  echo "Turning on HDMI and restarting Kodi. 'Thanks Powerplay!'" | tee -a $LOGFILE
  /usr/bin/systemctl start kodi
  /usr/bin/tvservice -p
}

turnoff () {
  echo "Turning off HDMI and killing Kodi. 'Thanks Powerplay!'" | tee -a $LOGFILE
  /usr/bin/systemctl stop kodi
  /usr/bin/tvservice -o
}

#prevent from running too often, e.g. if person presses button multiple times
LASTRUN=$(cat $LASTRUNFILE)
if [ "$LASTRUN" != "" ]
then
        SEC1=`date --date="$LASTRUN" +%s`

        NOW=`date +%Y-%m-%d\ %H:%M:%S`

        SEC2=`date --date="$NOW" +%s`

        let "tDiff=$SEC2-$SEC1"

        if [ $tDiff -lt 10 ]
        then
                echo "Cool your jets and wait 10 seconds. Exiting." | tee -a $LOGFILE
                exit
        fi

fi

date +%Y-%m-%d\ %H:%M:%S > $LASTRUNFILE

#end of prevention

if [ "$KODIRUNNING" == "2" ]
then
  turnoff
else
  turnon
fi


